Options.OpenFileOptions (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.fs, class: Options, class: OpenFileOptions

Package org.apache.hadoop.fs

# Class Options.OpenFileOptions

java.lang.Object
org.apache.hadoop.fs.Options.OpenFileOptions

Enclosing class:
  Options

@Public @Evolving public static final class Options.OpenFileOptions extends Object
The standard `openFile()` options.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `FS_OPTION_OPENFILE`
  Prefix for all openFile options: "fs.option.openfile.".
  `static final String`
  `FS_OPTION_OPENFILE_BUFFER_SIZE`
  OpenFile option for buffer size: "fs.option.openfile.buffer.size".
  `static final String`
  `FS_OPTION_OPENFILE_EC_POLICY`
  EC policy to be set on the file that needs to be created : "fs.option.openfile.ec.policy".
  `static final String`
  `FS_OPTION_OPENFILE_FOOTER_CACHE`
  OpenFile footer cache flag: "fs.option.openfile.footer.cache".
  `static final String`
  `FS_OPTION_OPENFILE_LENGTH`
  OpenFile option for file length: "fs.option.openfile.length".
  `static final Set<String>`
  `FS_OPTION_OPENFILE_READ_POLICIES`
  All the current read policies as a set.
  `static final String`
  `FS_OPTION_OPENFILE_READ_POLICY`
  OpenFile option for read policies: "fs.option.openfile.read.policy".
  `static final String`
  `FS_OPTION_OPENFILE_READ_POLICY_ADAPTIVE`
  Read policy for adaptive IO: "adaptive".
  `static final String`
  `FS_OPTION_OPENFILE_READ_POLICY_AVRO`
  We are an avro file: "avro".
  `static final String`
  `FS_OPTION_OPENFILE_READ_POLICY_COLUMNAR`
  This is a columnar file format.
  `static final String`
  `FS_OPTION_OPENFILE_READ_POLICY_CSV`
  This is a CSV file of plain or UTF-8 text to be read sequentially.
  `static final String`
  `FS_OPTION_OPENFILE_READ_POLICY_DEFAULT`
  Read policy "default" -whatever the implementation does by default.
  `static final String`
  `FS_OPTION_OPENFILE_READ_POLICY_HBASE`
  This is a table file for Apache HBase.
  `static final String`
  `FS_OPTION_OPENFILE_READ_POLICY_JSON`
  This is a JSON file of UTF-8 text, including a JSON line file where each line is a JSON entity.
  `static final String`
  `FS_OPTION_OPENFILE_READ_POLICY_ORC`
  This is an ORC file.
  `static final String`
  `FS_OPTION_OPENFILE_READ_POLICY_PARQUET`
  This is a parquet file with a v1/v3 footer: "parquet".
  `static final String`
  `FS_OPTION_OPENFILE_READ_POLICY_RANDOM`
  Read policy for random IO: "random".
  `static final String`
  `FS_OPTION_OPENFILE_READ_POLICY_SEQUENTIAL`
  Read policy for sequential IO: "sequential".
  `static final String`
  `FS_OPTION_OPENFILE_READ_POLICY_VECTOR`
  Vectored IO API to be used: "vector".
  `static final String`
  `FS_OPTION_OPENFILE_READ_POLICY_WHOLE_FILE`
  Whole file to be read, end-to-end: "whole-file".
  `static final String`
  `FS_OPTION_OPENFILE_SPLIT_END`
  OpenFile option for split end: "fs.option.openfile.split.end".
  `static final String`
  `FS_OPTION_OPENFILE_SPLIT_START`
  OpenFile option for split start: "fs.option.openfile.split.start".
  `static final Set<String>`
  `FS_OPTION_OPENFILE_STANDARD_OPTIONS`
  Set of standard options which openFile implementations MUST recognize, even if they ignore the actual values.

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### FS_OPTION_OPENFILE

    public static final String FS_OPTION_OPENFILE
    Prefix for all openFile options: "fs.option.openfile.".
    See Also:
      - Constant Field Values

  - ### FS_OPTION_OPENFILE_LENGTH

    public static final String FS_OPTION_OPENFILE_LENGTH
    OpenFile option for file length: "fs.option.openfile.length".
    See Also:
      - Constant Field Values

  - ### FS_OPTION_OPENFILE_SPLIT_START

    public static final String FS_OPTION_OPENFILE_SPLIT_START
    OpenFile option for split start: "fs.option.openfile.split.start".
    See Also:
      - Constant Field Values

  - ### FS_OPTION_OPENFILE_SPLIT_END

    public static final String FS_OPTION_OPENFILE_SPLIT_END
    OpenFile option for split end: "fs.option.openfile.split.end".
    See Also:
      - Constant Field Values

  - ### FS_OPTION_OPENFILE_BUFFER_SIZE

    public static final String FS_OPTION_OPENFILE_BUFFER_SIZE
    OpenFile option for buffer size: "fs.option.openfile.buffer.size".
    See Also:
      - Constant Field Values

  - ### FS_OPTION_OPENFILE_FOOTER_CACHE

    public static final String FS_OPTION_OPENFILE_FOOTER_CACHE
    OpenFile footer cache flag: "fs.option.openfile.footer.cache".
    See Also:
      - Constant Field Values

  - ### FS_OPTION_OPENFILE_READ_POLICY

    public static final String FS_OPTION_OPENFILE_READ_POLICY
    OpenFile option for read policies: "fs.option.openfile.read.policy".
    See Also:
      - Constant Field Values

  - ### FS_OPTION_OPENFILE_STANDARD_OPTIONS

    public static final Set<String> FS_OPTION_OPENFILE_STANDARD_OPTIONS
    Set of standard options which openFile implementations MUST recognize, even if they ignore the actual values.

  - ### FS_OPTION_OPENFILE_READ_POLICY_ADAPTIVE

    public static final String FS_OPTION_OPENFILE_READ_POLICY_ADAPTIVE
    Read policy for adaptive IO: "adaptive".
    See Also:
      - Constant Field Values

  - ### FS_OPTION_OPENFILE_READ_POLICY_AVRO

    public static final String FS_OPTION_OPENFILE_READ_POLICY_AVRO
    We are an avro file: "avro".
    See Also:
      - Constant Field Values

  - ### FS_OPTION_OPENFILE_READ_POLICY_COLUMNAR

    public static final String FS_OPTION_OPENFILE_READ_POLICY_COLUMNAR
    This is a columnar file format. Do whatever is needed to optimize for it: "columnar".
    See Also:
      - Constant Field Values

  - ### FS_OPTION_OPENFILE_READ_POLICY_CSV

    public static final String FS_OPTION_OPENFILE_READ_POLICY_CSV
    This is a CSV file of plain or UTF-8 text to be read sequentially. Do whatever is needed to optimize for it: "csv".
    See Also:
      - Constant Field Values

  - ### FS_OPTION_OPENFILE_READ_POLICY_DEFAULT

    public static final String FS_OPTION_OPENFILE_READ_POLICY_DEFAULT
    Read policy "default" -whatever the implementation does by default.
    See Also:
      - Constant Field Values

  - ### FS_OPTION_OPENFILE_READ_POLICY_HBASE

    public static final String FS_OPTION_OPENFILE_READ_POLICY_HBASE
    This is a table file for Apache HBase. Do whatever is needed to optimize for it: "hbase".
    See Also:
      - Constant Field Values

  - ### FS_OPTION_OPENFILE_READ_POLICY_JSON

    public static final String FS_OPTION_OPENFILE_READ_POLICY_JSON
    This is a JSON file of UTF-8 text, including a JSON line file where each line is a JSON entity. Do whatever is needed to optimize for it: "json".
    See Also:
      - Constant Field Values

  - ### FS_OPTION_OPENFILE_READ_POLICY_ORC

    public static final String FS_OPTION_OPENFILE_READ_POLICY_ORC
    This is an ORC file. Do whatever is needed to optimize for it: "orc".
    See Also:
      - Constant Field Values

  - ### FS_OPTION_OPENFILE_READ_POLICY_PARQUET

    public static final String FS_OPTION_OPENFILE_READ_POLICY_PARQUET
    This is a parquet file with a v1/v3 footer: "parquet". Do whatever is needed to optimize for it, such as footer prefetch and cache,
    See Also:
      - Constant Field Values

  - ### FS_OPTION_OPENFILE_READ_POLICY_RANDOM

    public static final String FS_OPTION_OPENFILE_READ_POLICY_RANDOM
    Read policy for random IO: "random".
    See Also:
      - Constant Field Values

  - ### FS_OPTION_OPENFILE_READ_POLICY_SEQUENTIAL

    public static final String FS_OPTION_OPENFILE_READ_POLICY_SEQUENTIAL
    Read policy for sequential IO: "sequential".
    See Also:
      - Constant Field Values

  - ### FS_OPTION_OPENFILE_READ_POLICY_VECTOR

    public static final String FS_OPTION_OPENFILE_READ_POLICY_VECTOR
    Vectored IO API to be used: "vector".
    See Also:
      - Constant Field Values

  - ### FS_OPTION_OPENFILE_READ_POLICY_WHOLE_FILE

    public static final String FS_OPTION_OPENFILE_READ_POLICY_WHOLE_FILE
    Whole file to be read, end-to-end: "whole-file".
    See Also:
      - Constant Field Values

  - ### FS_OPTION_OPENFILE_READ_POLICIES

    public static final Set<String> FS_OPTION_OPENFILE_READ_POLICIES
    All the current read policies as a set.

  - ### FS_OPTION_OPENFILE_EC_POLICY

    public static final String FS_OPTION_OPENFILE_EC_POLICY
    EC policy to be set on the file that needs to be created : "fs.option.openfile.ec.policy".
    See Also:
      - Constant Field Values